Subject: bug#12621: Emacs 24.1 crashing on Windows 7

From: Stephen Berman <[email-masked]>
Date: Mon, 17 Dec 2012 01:04:22 +0100

On Sun, 16 Dec 2012 14:26:11 -0800 "Drew Adams" <[email-masked]> wrote:

> Mouthing "win32" is hardly "referring to [MS] Windows as a win."
[...]
> This "win32" thing is now nothing more than counting angels on pinheads.  It
> makes as much sense as claiming that using the character `w' in an abbreviation
> is tantamount to pledging allegiance to Bill Gates.  Or the devil.  Burn the
> witch!  Burn the `w' books!

I think it's not entirely implausible to regard "win32" as implicitly
conveying the positive connotations of "win".  On the one hand, it's not
the shortest abbrevation of (some variant of) "the 32 bit Microsoft
Windows platform"; that would be "w32", which is fairly common, but
AFAIK used at microsoft.com only with reference to externally named
viruses and worms.  The next shortest abbrevation "wi32" is quite rare,
as is the next longer one "wind32" (judging by cursory websearches);
both of these lack clearly positive English connotations in the context
of software, and "wind32" might even be regarded as negative.  On the
other hand, suppose the Windows 32 API had been largely due to a person
named Shitsuhara (which is the transliteration of a real Japanese
surname) and in honor of this had been dubbed by Microsoft the
"Shitsuhara Windows 32 API".  Do you think anyone who did not want to
show disrespect for Microsoft would use the abbrevation "shit32"?

Steve Berman